/****************************************************************************
 File name:  rational.h
 Author:     Computer Science, Pacific University
 Date:       6.5.13
 Class:      CS300
 Assignment: Rational
 Purpose:    To define the header file for the rational module
****************************************************************************/

#ifndef RATIONAL_H_
#define RATIONAL_H_
#include <stdbool.h>

typedef struct Rational
{
  int numerator;
  int denominator;
} Rational;

extern void 			setRational (Rational *, int, int);
extern void				getRational (Rational *);
extern void 			printRational (const Rational *);
extern bool 			isEqualRational (const Rational *, const Rational *);
extern Rational 	multiplyRational (const Rational *, const Rational *);
extern Rational 	divideRational (const Rational *, const Rational *);
extern Rational		addRational (const Rational *, const Rational *);
extern Rational		reduceRational (const Rational *);


#endif
